Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 310167

Summary: net-libs/libetpan does not respect LDFLAGS
Product: Gentoo Linux Reporter: Doktor Notor <notordoktor>
Component: Current packagesAssignee: Net-Mail Packages <net-mail>
Status: RESOLVED FIXED    
Severity: normal CC: fauli, xarthisius
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 331933    
Attachments: adding epatch and autotools to ebuild
respecting LDFLAGS
libetpan-0.57-r1.ebuild.patch

Description Doktor Notor 2010-03-19 06:38:07 UTC
* QA Notice: Files built without respecting LDFLAGS have been detected
*  Please include the following list of files in your report:
* /usr/lib/libetpan.so.13.1.2
Comment 1 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2010-03-19 12:08:42 UTC
Created attachment 224227 [details, diff]
adding epatch and autotools to ebuild

Sed hack was moved to patch
Comment 2 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2010-03-19 12:09:14 UTC
Created attachment 224231 [details, diff]
respecting LDFLAGS
Comment 3 Doktor Notor 2010-03-19 12:17:06 UTC
Didn't try yet, but are you sure this one's right? LDFLAGS="$OLDCFLAGS"
Comment 4 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2010-03-19 12:46:47 UTC
(In reply to comment #3)
> Didn't try yet, but are you sure this one's right? LDFLAGS="$OLDCFLAGS"
I'm sure that it's wrong, that's why I've change it to LIBS="$OLDLIBS" :)

Comment 5 Doktor Notor 2010-03-19 13:02:00 UTC
Eh... I need a bucket of coffee in the morning. Read the patch backwards. *g*
Comment 6 Doktor Notor 2010-03-20 18:22:05 UTC
Created attachment 224425 [details, diff]
libetpan-0.57-r1.ebuild.patch

Tested, confirmed fixed, all good. Thanks :)

Attached is an ebuild patch that switches this to EAPI=2 :)
Comment 7 Christian Faulhammer (RETIRED) gentoo-dev 2010-04-20 18:41:39 UTC
Fixed in 1.0 (still masked), thank you for the patch.  Also reported upstream.